import request from '@/utils/request'

// 查询邮件配置列表
export function listOperationSmtp(query) {
  return request({
    url: '/system/operationSmtp/list',
    method: 'get',
    params: query
  })
}

// 查询邮件配置详细
export function getOperationSmtp(id) {
  return request({
    url: '/system/operationSmtp/' + id,
    method: 'get'
  })
}

// 新增邮件配置
export function addOperationSmtp(data) {
  return request({
    url: '/system/operationSmtp',
    method: 'post',
    data: data
  })
}

// 修改邮件配置
export function updateOperationSmtp(data) {
  return request({
    url: '/system/operationSmtp',
    method: 'put',
    data: data
  })
}

// 删除邮件配置
export function delOperationSmtp(id) {
  return request({
    url: '/system/operationSmtp/' + id,
    method: 'delete'
  })
}
